%global momorel 3

Summary: Realtime Policy and Watchdog Daemon
Name: rtkit
Version: 0.5
Release: %{momorel}m%{?dist}
License: GPLv3+ and BSD
URL: http://git.0pointer.de/?p=rtkit.git
Group: System Environment/Base
Source0: http://0pointer.de/public/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(pre): shadow-utils coreutils
Requires(post): dbus
Requires: dbus
Requires: polkit
BuildRequires: dbus-devel
BuildRequires: libcap-devel
BuildRequires: polkit-devel

%description
RealtimeKit is a D-Bus system service that changes the
scheduling policy of user processes/threads to SCHED_RR (i.e. realtime
scheduling mode) on request. It is intended to be used as a secure
mechanism to allow real-time scheduling to be used by normal user
processes.

%prep
%setup -q

%build
%configure
%make

./rtkit-daemon --introspect > org.freedesktop.RealtimeKit1.xml

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_datadir}/dbus-1/interfaces
install -m 755 org.freedesktop.RealtimeKit1.xml %{buildroot}%{_datadir}/dbus-1/interfaces/org.freedesktop.RealtimeKit1.xml

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%pre
%{_sbindir}/groupadd -f -r rtkit
%{_bindir}/id rtkit >/dev/null 2>&1 || \
        %{_sbindir}/useradd -r -g rtkit -c 'RealtimeKit' -s /sbin/nologin -d /proc rtkit
exit 0

%post
dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig >/dev/null 2>&1 || :

%files
%defattr(-,root,root)
%doc GPL LICENSE README rtkit.c rtkit.h
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.RealtimeKit1.conf
%attr(0755,root,root) %{_libexecdir}/rtkit-daemon
%{_datadir}/dbus-1/system-services/org.freedesktop.RealtimeKit1.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.RealtimeKit1.xml
%{_datadir}/polkit-1/actions/org.freedesktop.RealtimeKit1.policy
%attr(0755,root,root) %{_sbindir}/rtkitctl

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5-3m)
- full rebuild for mo7 release

* Sun Apr 25 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5-2m)
- use Requires

* Sun Dec 27 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5-1m)
- update to 0.5

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Sep 29 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4-1m)
- initial package for Momonga Linux
